package jp.agentec.sinaburocast.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.seasar.framework.aop.annotation.Interceptor;

/**
 * 管理者操作履歴を管理するアノテーション
 * このアノテーションを付けると、t_operation_historyにデータを登録してくれる。
 * 
 * @author choi-c
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Interceptor
public @interface OperationHistoryAno {
	 /** 操作種別*/
	 int operationTypeId();
	 
	 /**操作対象 */
	 String target();
	 
	 /**操作名*/
	 String detail();
	 
	 /**画面ID*/
	 String screenId();
}

