package jp.agentec.sinaburocast.csv;

import org.seasar.s2csv.csv.annotation.column.CSVColumn;
import org.seasar.s2csv.csv.annotation.column.CSVMaxLength;
import org.seasar.s2csv.csv.annotation.column.CSVRequired;
import org.seasar.s2csv.csv.annotation.entity.CSVEntity;

/**
 * OrganizationCsv[団体一括登録]にマッピングするCSVエンティティクラスです。
 *
 * @author choi-c
 */
@CSVEntity(header=true,demiliter='\t',headerCheck=false,columnCountCheck=false)
public class OrganizationCsv extends AbstractCsv {

		@CSVRequired
		@CSVColumn(columnIndex=0,columnName="団体番号")
		public Integer organizationNo;

		@CSVRequired
		@CSVMaxLength(maxlength = 100)
		@CSVColumn(columnIndex=1,columnName="団体名")
		public String organizationName;
		
		@CSVColumn(columnIndex=2,columnName="結果")
		public String okNg="OK";
		
		@CSVColumn(columnIndex=3,columnName="理由")
		public String reason="reason";
}
