package jp.agentec.sinaburocast.service;

import java.util.List;

import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.entity.Message;

import org.seasar.extension.jdbc.where.SimpleWhere;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

@Component(instance=InstanceType.SINGLETON)
public class MessageService extends AbstractService<Message> {

	private static final String ID_SEQ_NAME = "message_id_seq";

	public Message findById(Integer messageCd) {
        //return select().id(messageId).getSingleResult();
        return  select().where(new SimpleWhere().eq("messageCd", messageCd)).orderBy("messageId asc").getSingleResult();
    }

	public List<Message> findByNews(Integer messageCd) {
		return select().where(new SimpleWhere().eq("messageCd", messageCd)).orderBy("messageId asc").getResultList();
	}

	/**
	 * IDを発行して、登録する。
	 *
	 */
	public int insertMessage(Message message, AdminUser adminUserInfo) {

		message.messageId = getSeqNextVal(Integer.class, ID_SEQ_NAME);
		return super.insert(message, adminUserInfo.loginId);
	}

}